import PocketBase from 'pocketbase';
import { writable } from 'svelte/store';

export const pb = new PocketBase("https://pb.thomaspcole.com")
export const currentUser = writable(pb.authStore.model);

console.log(pb)

pb.authStore.onChange((auth) => {
    console.log('AuthStore Changed', auth);
    currentUser.set(pb.authStore.model);
})